##############################################################################
#
#	Copyright (c) Geoworks 1990 -- All Rights Reserved
#
# PROJECT:	System Software Overview
# MODULE:	Sample Application/Simple Word Processor
# FILE:		simpwp.gp
#
# AUTHOR:	Tony Requist
#
# DESCRIPTION:	This file contains Geode definitions for the SimpWP sample
#		application. This file is read by the GLUE linker to
#		build this application.
#
# RCS STAMP:
#	$Id: simpwp.gp,v 1.1.14.3 94/01/20 22:30:43 jenny Exp $
#
##############################################################################
#
name simpwp.app
#
longname "Simple Word Processor"
#
type	appl, process
#
class	SWPProcessClass
#
appobj	SWPApp
#
# Token: The four-letter name is used by GeoManager to locate the
# icon for this application in the token database. The tokenid
# number corresponds to the manufacturer ID of the program's author
# for uniqueness of the token. Since this is a sample application, we
# use the manufacturer ID for the SDK, which is 8.
#
tokenchars "SAMP"
tokenid 8
#
# Heapspace: This is roughly the non-discardable memory usage (in words)
# of the application and any transient libraries that it depends on,
# plus an additional amount for thread activity. To find the heapspace
# for an application, use the Swat "heapspace" command.
#
heapspace 6100
#
library	geos
library	ui
library text
#
resource APPRESOURCE ui-object
resource INTERFACE ui-object
resource DOCGROUPRESOURCE object
resource DISPLAYRESOURCE ui-object read-only shared
resource TEMPLATERESOURCE object read-only shared
#
# Exported entry points
#
export SWPDocumentClass

