COMMENT @----------------------------------------------------------------------

	Copyright (c) GeoWorks 1992 -- All Rights Reserved

PROJECT:	PC GEOS
MODULE:		NoPower power management driver
FILE:		nopowerEvent.asm

REVISION HISTORY:
	Name	Date		Description
	----	----		-----------
	Tony	1/92		Initial version

DESCRIPTION:
	This is a power management driver that does nothing special.  It
	is intended as a template for power management drivers and as a
	test for common functionality.

RCS STAMP:
	$Id: nppcmEvent.asm,v 1.1.1.1 93/09/27 13:26:59 adam Exp $

------------------------------------------------------------------------------@

include Objects/inputC.def

idata segment

npMonitor	Monitor	<>

idata ends

;---

Movable		segment	resource

COMMENT @----------------------------------------------------------------------

FUNCTION:	NoPowerEventInit

DESCRIPTION:	Initialize code to get keyboard stuff

CALLED BY:	INTERNAL

PASS:
	ds, es - idata

RETURN:
	none

DESTROYED:
	ax, bx, cx, dx, si, di, bp

REGISTER/STACK USAGE:

PSEUDO CODE/STRATEGY:

KNOWN BUGS/SIDE EFFECTS/CAVEATS/IDEAS:

REVISION HISTORY:
	Name	Date		Description
	----	----		-----------
	Tony	6/25/93		Initial version

------------------------------------------------------------------------------@
NoPowerEventInit	proc	far

	mov	bx, offset npMonitor
	mov	al, ML_OUTPUT-1
	mov	cx, segment NoPowerMonitor
	mov	dx, offset NoPowerMonitor
	call	ImAddMonitor

	ret

NoPowerEventInit	endp

Movable ends

;---

Resident segment resource

COMMENT @----------------------------------------------------------------------

FUNCTION:	NoPowerEventExit

DESCRIPTION:	Exitialize code to get keyboard stuff

CALLED BY:	INTERNAL

PASS:
	ds, es - idata

RETURN:
	none

DESTROYED:
	ax, bx, cx, dx, si, di, bp

REGISTER/STACK USAGE:

PSEUDO CODE/STRATEGY:

KNOWN BUGS/SIDE EFFECTS/CAVEATS/IDEAS:

REVISION HISTORY:
	Name	Date		Description
	----	----		-----------
	Tony	6/25/93		Exitial version

------------------------------------------------------------------------------@
NoPowerEventExit	proc	near

	mov	bx, offset npMonitor
	mov	al, mask MF_REMOVE_IMMEDIATE
	call	ImRemoveMonitor

	ret

NoPowerEventExit	endp

COMMENT @----------------------------------------------------------------------

FUNCTION:	NoPowerMonitor

DESCRIPTION:	Input monitor

CALLED BY:	INTERNAL

PASS:
	al - MonitorFlags (MF_DATA set)
	di - message type
	cx, dx, bp, si - message data
	ds:bx - npMonitor

RETURN:
	al - MonitorFlags
	di - message type
	cx, dx, bp, si - message data

DESTROYED:
	ah, bx, ds, es

REGISTER/STACK USAGE:

PSEUDO CODE/STRATEGY:

KNOWN BUGS/SIDE EFFECTS/CAVEATS/IDEAS:

REVISION HISTORY:
	Name	Date		Description
	----	----		-----------
	Tony	6/25/93		Initial version

------------------------------------------------------------------------------@
NoPowerMonitor	proc	far

	cmp	di, MSG_META_KBD_CHAR
	jnz	done

	cmp	dl, mask CF_FIRST_PRESS
	jnz	done
	cmp	dh, mask SS_LCTRL or mask SS_RCTRL
	jnz	done

	cmp	cx, "i"
	jnz	notInsert
	call	NoPowerDriveInserted
snarfChar:
	clr	al
done:
	ret

notInsert:
	cmp	cx, "e"
	jnz	notEject
	call	NoPowerDriveEjected
	jmp	snarfChar

notEject:
	cmp	cx, "3"
	jnz	not3
	mov	ds:[diskType], mask DES_FORMATTABLE or mask DES_LOCAL_ONLY or \
			(mask DS_PRESENT or mask DS_MEDIA_REMOVABLE or \
			 (DRIVE_3_5 shl offset DS_TYPE)) shl \
			 offset DES_EXTERNAL
	jmp	snarfChar

not3:
	jmp	done

NoPowerMonitor	endp

Resident ends
