#
#	dcall is a command that displays calls to routines
#
#	$Id: dcall.tcl,v 3.5 92/09/01 10:41:25 todd Exp $
#
defvar dc_list {}

[defcmd dcall {args} profile
{Usage:
    dcall [<args>]

Examples:
    "dcall Dispatch"	Display when the routine Dispatch is called
    "dcall none"    	stop displaying all routines

Synopsis:
    Display calls to a routine.

Notes:
    * The args argument normally is the name of the routine to monitor.
      Whenever a call is made to the routine it's name is displayed.

      If 'none' or no argument is passed, then all the routines will
      stop displaying.

    * Dcall uses breakpoints to display routine names.  By looking at 
      the list of breakpoints you can see which routines display their
      names and you can stop them individually by disabling or deleting
      them.

See also:
    showcalls, mwatch.
}
{
	global	dc_list

    if {[string c $args none] == 0 || [null $args]} {
	foreach i $dc_list {
	    brk delete $i
	}
	var dc_list {}
    } else {
    	    	
# later -- handle other args here
	var tempb [brk aset $args [format {[echo %s] [expr 0]} $args ]]
	var dc_list [concat $dc_list $tempb]
    }
}]

