##############################################################################
#
# 	Copyright (c) GeoWorks 1988 -- All Rights Reserved
#
# PROJECT:	PC GEOS
# MODULE:	SWAT -- System library.
# FILE: 	whatat.tcl
# AUTHOR: 	Tony
#
# COMMANDS:
# 	Name			Description
#	----			-----------
#   	whatat	    	    	Print an object out given its address.
#
# DESCRIPTION:
#	A function to print the name of a variable at an address
#
#	$Id: whatat.tcl,v 3.7 93/07/31 22:11:14 jenny Exp $
#
###############################################################################

[defcmd whatat {{addr *ds:si}} top.print
{Usage:
    whatat [<address>]

Examples:
    "whatat"    	    	name of variable at *ds:si
    "whatat ^l2ef0h:002ah"	name of variable at the specified address

Synopsis:
    Print the name of the variable at the address.

Notes:
    * The address argument specifies where to find a variable name
      for.  The address defaults to *ds:si.

    * If no appropiate variable is found for the address, '*nil*' is returned.

See also:
    pobj, hwalk, lhwalk.
}
{
    var a [sym faddr var $addr]
    if {[null $a]} {
	echo *nil*
    } else {
	echo [sym name $a]
    }
}]
