COMMENT @%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

	Copyright (c) GeoWorks 1991 -- All Rights Reserved

PROJECT:	PC GEOS
MODULE:		
FILE:		swat.asm

AUTHOR:		jimmy lefkowitz

REVISION HISTORY:
	Name	Date		Description
	----	----		-----------
	jimmy	8/11/92		Initial version.

DESCRIPTION:
	
	$Id: swat.asm,v 1.6 93/05/18 12:52:23 jimmy Exp $


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%@
include com43.def

program		segment 

mouseArg	db	'm',0
;
; Exit stuff -- when SF_EXIT of sysFlags is set TRUE, the program will exit.
; This is to make sure things get cleaned up, including issuing EOI's for
; keyboard interrupts...
;
		public	sysFlags
sysFlags	SysFlags	<>

pcwinReset	db	'm' OR 80h, 1, 1, 1;String pcwin accepts to reinit
		even


COMMENT @---------------------------------------------------------------------

FUNCTION:		RunSwat

SYNOPSIS:	Enters swat from com43.  I'm not sure if I know what I'm doing
		but it comes from the "Advanced MS-DOS" manual.

CALLED BY:	Main

PASS:		nothing

RETURN:		nothing

DESTROYED:	Everything

PSEUDO CODE/STRATEGY:	Do all the stuff needed to EXEC swat from DOS.  See
			the DOS manual for more info.

KNOWN BUGS/SIDE EFFECTS/IDEAS:

REVISION HISTORY:
	Name	Date		Description
	----	----		-----------
	Mike	1/89...		Initial version

-----------------------------------------------------------------------------@
	
global	RestoreFireKeyHandler:near
	
RunSwat	proc	near

		;
		; start by releasing unneeded memory
		; 
		mov	ax, cs
		mov	es, ax
		mov	bx, (offset dta) + 256; size to keep
		shr	bx, 1		; Need
		shr	bx, 1		;  it
		shr	bx, 1		;   in
		shr	bx, 1		;    paragraphs
		mov	ah, 4ah		; function #
		int	21h		; free me Jesus

		call	ScrSaverOff	; Make sure the screensaver is off
					; so it doesn't fire while we're in
					; PC GEOS.
		;
		; Reset everything but the screen -- it'll all be
		; re-initialized when we come back again.
		;
		call	ComExit
		call	KbdExit
		call	MouseEnd
		;
		; Copy in our own tail first
		;
		mov	si, CMD_TAIL
		mov	di, offset pgm_tail
		cld
		lodsb			; Fetch count
		stosb			; Stuff it

		mov	cl, al		; Shift to CX for MOVSB
		clr	ch

		rep movsb		; Copy that puppy
	;
	; Append whatever we've been told to append
	;
		mov	si, ds:[swatArgs]
		mov	cx, di		; figure room left in pgm_tail
		sub	cx, offset pgm_tail + size pgm_tail
		not	cx		;  leaving space for final CR
extraLoop:
		lodsb
		tst	al
		jz	RS2
		stosb
		loop	extraLoop
RS2:
		mov	ax, di		; figure actual tail length
		sub	ax, offset pgm_tail+1
		mov	ds:[pgm_tail], al; and store it at the front
		
		mov	al, '\r'	; store terminating carriage return
		stosb

		mov	par_blk+2, offset pgm_tail	; Store pgm_tail
		
		mov	ax, cs		; Store segment of pgm_tail in block
		mov	par_blk+4, ax	;
					;
		;
		; Load up the registers for the exec call
		;
		mov	dx, offset pgm_name	; load other EXEC params
		mov	bx, offset par_blk
		mov	al, 0		; load and execute
		mov	ah, 4bh		; EXEC value
		int	21h		;
					;
		
		;
		; Re-initialize
		;
		mov	ax, cs		; Get segment registers pointing to
		mov	es, ax		; the right place.
		mov	ds, ax		;
		mov	ss, ax
		mov	sp, 0fffeh	; Start stack off at the top again.
					; Technically, we should re-allocate
					; ourselves larger, but...

		jmp	near ptr Main	; Re-start
RunSwat	endp
		public	RunSwat

		;
		; This is the info for the EXEC function
		; 

pgm_tail	db	128 dup (?)

pgm_name	db	"swat.exe",0	; exec'ing swat

par_blk		dw	0		; copy environment from us.
		dw	offset pgm_tail	;
		dw	?		; segment for pgm_tail.
		dw	-1		; no fcb 1
		dw	-1		;
		dw	-1		; no fcb 2
		dw	-1		;

swatArgs	nptr.char swatRun1_2EC	; extra args to place at end of swat
					;  command tail. Set by ScrRunSwat

swatArgPtrs	nptr.nptr.char	swatArg1_2Ptrs

swatArg1Ptrs	nptr.char	swatRun1EC, swatStop1EC,
				swatRun1NonEC, swatStop1NonEC

swatArg1_2Ptrs	nptr.char	swatRun1_2EC, swatStop1_2EC,
				swatRun1_2NonEC, swatStop1_2NonEC

swatArg2Ptrs	nptr.char	swatRun2EC, swatStop2EC,
				swatRun2NonEC, swatStop2NonEC


swatRun1_2EC	char	' kernelec.exe', 0
swatStop1_2EC	char	' /s kernelec.exe', 0
swatRun1_2NonEC	char	' kernel.exe', 0
swatStop1_2NonEC	char	' /s kernel.exe', 0

swatRun1EC	char	' geosec.exe', 0
swatStop1EC	char	' /s geosec.exe', 0
swatRun1NonEC	char	' geos.exe', 0
swatStop1NonEC	char	' /s geos.exe', 0

swatRun2EC	char	' loaderec.exe', 0
swatStop2EC	char	' /s loaderec.exe', 0
swatRun2NonEC	char	' loader.exe', 0
swatStop2NonEC	char	' /s loader.exe', 0

program	ends


